List Runs for Job
curl --request GET \
--url https://sdk.nimbleway.com/v1/jobs/{job_id}/runs \
--header 'Authorization: Bearer <token>'import requests
url = "https://sdk.nimbleway.com/v1/jobs/{job_id}/runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sdk.nimbleway.com/v1/jobs/{job_id}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"job_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"input_count": 123,
"result_count": 123,
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"page": 123,
"per_page": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}List Runs for Job
List Runs for Job
GET
/
v1
/
jobs
/
{job_id}
/
runs
List Runs for Job
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Filter by status
Required range:
x >= 1Required range:
1 <= x <= 200Cookies
Was this page helpful?
⌘I